package hanson.xyz.vpnhotspotmod.util;

/**
 * These class are based off https://github.com/1blustone/kotlin-events.
 */
@kotlin.Metadata(mv = {1, 9, 0}, k = 1, xi = 48, d1 = {"\u0000\u0018\n\u0002\u0018\u0002\n\u0002\u0018\u0002\n\u0002\u0010\u0000\n\u0002\u0018\u0002\n\u0002\u0010\u0002\n\u0002\b\u0003\b\u0016\u0018\u00002\u0014\u0012\u0004\u0012\u00020\u0002\u0012\n\u0012\b\u0012\u0004\u0012\u00020\u00040\u00030\u0001B\u0005\u00a2\u0006\u0002\u0010\u0005J\t\u0010\u0006\u001a\u00020\u0004H\u0086\u0002\u00a8\u0006\u0007"}, d2 = {"Lhanson/xyz/vpnhotspotmod/util/Event0;", "Ljava/util/concurrent/ConcurrentHashMap;", "", "Lkotlin/Function0;", "", "()V", "invoke", "mobile_freedomDebug"})
public class Event0 extends java.util.concurrent.ConcurrentHashMap<java.lang.Object, kotlin.jvm.functions.Function0<? extends kotlin.Unit>> {
    
    public Event0() {
        super();
    }
    
    public final void invoke() {
    }
    
    @java.lang.Override
    public final boolean containsValue(java.lang.Object value) {
        return false;
    }
    
    @java.lang.Override
    public boolean containsValue(kotlin.jvm.functions.Function0<kotlin.Unit> value) {
        return false;
    }
    
    @java.lang.Override
    public final java.util.Set<java.util.Map.Entry<java.lang.Object, kotlin.jvm.functions.Function0<kotlin.Unit>>> entrySet() {
        return null;
    }
    
    @java.lang.Override
    public java.util.Set<java.util.Map.Entry<java.lang.Object, kotlin.jvm.functions.Function0<kotlin.Unit>>> getEntries() {
        return null;
    }
    
    @java.lang.Override
    public java.util.Set<java.lang.Object> getKeys() {
        return null;
    }
    
    @java.lang.Override
    public int getSize() {
        return 0;
    }
    
    @java.lang.Override
    public java.util.Collection<kotlin.jvm.functions.Function0<kotlin.Unit>> getValues() {
        return null;
    }
    
    @java.lang.Override
    public final java.util.Set<java.lang.Object> keySet() {
        return null;
    }
    
    @java.lang.Override
    public final boolean remove(java.lang.Object key, java.lang.Object value) {
        return false;
    }
    
    @java.lang.Override
    public boolean remove(java.lang.Object key, kotlin.jvm.functions.Function0<kotlin.Unit> value) {
        return false;
    }
    
    @java.lang.Override
    public final int size() {
        return 0;
    }
    
    @java.lang.Override
    public final java.util.Collection<kotlin.jvm.functions.Function0<kotlin.Unit>> values() {
        return null;
    }
}